<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

class ExternalRedirectController extends AbstractController
{
    #[Route('/external-redirect', name: 'app_external_redirect')]
    public function index(Request $request): Response
    {
        $url = $request->query->getString('redirUrl', '');

        return $this->render('external_redirect.html.twig', [
            'url' => $url,
        ]);
    }
}
